package com.zjrs.zwnw.zj.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@TableName(value = "RS_ZJ_QSBSH")
@ApiModel(value="QsbshPO对象", description="全市博士后")
public class QsbshPO {
    @ApiModelProperty(value = "全市博士后ID")
    @TableId(value = "RS_ZJ_QSBSH_LSH", type = IdType.ASSIGN_UUID)
    private String rsZjQsbshLsh;

    @ApiModelProperty(value = "年度")
    @TableField("ND")
    private String nd;

    @ApiModelProperty(value = "40周岁（含）以上博士新增")
    @TableField("NL40UXZ")
    private String nl40uxz;

    @ApiModelProperty(value = "40周岁以下博士新增")
    @TableField("NL40DXZ")
    private String nl40dxz;

    @ApiModelProperty(value = "中央、省驻湛单位新增")
    @TableField("ZYSZZDWXZ")
    private String zyszzdwxz;

    @ApiModelProperty(value = "市属单位新增")
    @TableField("SSDWXZ")
    private String ssdwxz;

    @ApiModelProperty(value = "40周岁（含）以上博士流出")
    @TableField("NL40ULC")
    private String nl40ulc;

    @ApiModelProperty(value = "40周岁以下博士流出")
    @TableField("NL40DLC")
    private String nl40dlc;

    @ApiModelProperty(value = "中央、省驻湛单位流出")
    @TableField("ZYSZZDWLC")
    private String zyszzdwlc;

    @ApiModelProperty(value = "市属单位流出")
    @TableField("SSDWLC")
    private String ssdwlc;

    @ApiModelProperty(value = "创建人")
    @TableField("TS_CJR")
    private String tsCjr;

    @ApiModelProperty(value = "创建时间")
    @TableField("TS_CJSJ")
    private String tsCjsj;

    @ApiModelProperty(value = "修改人")
    @TableField("TS_XGR")
    private String tsXgr;

    @ApiModelProperty(value = "修改时间")
    @TableField("TS_XGSJ")
    private String tsXgsj;

    public String getRsZjQsbshLsh() {
        return rsZjQsbshLsh;
    }

    public void setRsZjQsbshLsh(String rsZjQsbshLsh) {
        this.rsZjQsbshLsh = rsZjQsbshLsh;
    }

    public String getNd() {
        return nd;
    }

    public void setNd(String nd) {
        this.nd = nd;
    }

    public String getNl40uxz() {
        return nl40uxz;
    }

    public void setNl40uxz(String nl40uxz) {
        this.nl40uxz = nl40uxz;
    }

    public String getNl40dxz() {
        return nl40dxz;
    }

    public void setNl40dxz(String nl40dxz) {
        this.nl40dxz = nl40dxz;
    }

    public String getZyszzdwxz() {
        return zyszzdwxz;
    }

    public void setZyszzdwxz(String zyszzdwxz) {
        this.zyszzdwxz = zyszzdwxz;
    }

    public String getSsdwxz() {
        return ssdwxz;
    }

    public void setSsdwxz(String ssdwxz) {
        this.ssdwxz = ssdwxz;
    }

    public String getNl40ulc() {
        return nl40ulc;
    }

    public void setNl40ulc(String nl40ulc) {
        this.nl40ulc = nl40ulc;
    }

    public String getNl40dlc() {
        return nl40dlc;
    }

    public void setNl40dlc(String nl40dlc) {
        this.nl40dlc = nl40dlc;
    }

    public String getZyszzdwlc() {
        return zyszzdwlc;
    }

    public void setZyszzdwlc(String zyszzdwlc) {
        this.zyszzdwlc = zyszzdwlc;
    }

    public String getSsdwlc() {
        return ssdwlc;
    }

    public void setSsdwlc(String ssdwlc) {
        this.ssdwlc = ssdwlc;
    }

    public String getTsCjr() {
        return tsCjr;
    }

    public void setTsCjr(String tsCjr) {
        this.tsCjr = tsCjr;
    }

    public String getTsCjsj() {
        return tsCjsj;
    }

    public void setTsCjsj(String tsCjsj) {
        this.tsCjsj = tsCjsj;
    }

    public String getTsXgr() {
        return tsXgr;
    }

    public void setTsXgr(String tsXgr) {
        this.tsXgr = tsXgr;
    }

    public String getTsXgsj() {
        return tsXgsj;
    }

    public void setTsXgsj(String tsXgsj) {
        this.tsXgsj = tsXgsj;
    }
}
